#
# spec file for package openmotif (Version 2.2.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           openmotif
BuildRequires:  update-desktop-files xorg-x11 xorg-x11-devel
Version:        2.2.4
Release:        21.2
License:        Other License(s), see package
Group:          System/Libraries
AutoReqProv:  on
Conflicts:      lestif2
Summary:        Open Motif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://www.motifzone.net/
Source:         openmotif-%{version}.tar.bz2
Source1:        mwm.desktop
Patch:          openmotif-%{version}.diff
Patch1:         warn.patch
Patch2:         datadir.patch
Patch3:         XmResizeHashTable.patch
Patch4:         openmotif-xpm.diff
Patch5:         sentinel.diff
Patch6:         openmotif-uil.diff
Patch7:         PrintableString.diff

%description
This is the Open Motif runtime environment.  It includes the Motif
shared libraries.  Open Motif is a freely available version of the well
known Motif user interface toolkit for Open Source operating systems. 
This package was built with the Metro Link sources.



%debug_package
%package libs
Summary:        Open Motif Runtime Libraries
Group:          System/Libraries
AutoReqProv:  on
Provides:       openmotif:/usr/X11R6/%_lib/libXm.so.3

%description libs
This is the Open Motif runtime environment.  It includes the Motif
shared libraries.  Open Motif is a freely available version of the well
known user interface toolkit Motif for Open Source operating systems. 
This package was built with the sources from Metro Link.



%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/Libraries
AutoReqProv:  on
Requires:       openmotif-libs xorg-x11-devel
Conflicts:      lesstifd lestif2d lesstif-devel
PreReq:         coreutils

%description devel
This is the Open Motif development environment.  It includes the Motif
header files and static libraries, plus the Motif UIL (User Interface
Language) compiler and the manual pages for the Motif widgets and
library functions.



%package demo
Summary:        Open Motif Demo Programs
Group:          System/Libraries
AutoReqProv:  on
Requires:       openmotif

%description demo
Open Motif demo programs.



%prep
%setup -q
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7

%build
rm -f depcomp
%{suse_update_config -f}
autoreconf --force --install
%ifarch %arm
# miscompilation?
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -O1"
%endif
./configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
	    --libdir=/usr/X11R6/%{_lib} \
	    --datadir=/usr/X11R6/lib
# Not parallel safe
make

%install
make install DESTDIR="$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/config
cp config/cf/Motif.rules $RPM_BUILD_ROOT/usr/X11R6/lib/X11/config/Motif.rules.openmotif
cp config/cf/Motif.tmpl $RPM_BUILD_ROOT/usr/X11R6/lib/X11/config/Motif.tmpl.openmotif
# install kdm/gdm entry
install -m 0755 -d $RPM_BUILD_ROOT/usr/share/xsessions/
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/usr/share/xsessions/
%suse_update_desktop_file $RPM_BUILD_ROOT/usr/share/xsessions/mwm.desktop

%triggerin devel -- xdevel
# Replace Motif.tmpl and Motif.rules with our versions
MOTIFTMPL="/usr/X11R6/lib/X11/config/Motif.tmpl"
[ ! -f $MOTIFTMPL ] || mv -f $MOTIFTMPL $MOTIFTMPL.orig
ln -sf $MOTIFTMPL.openmotif $MOTIFTMPL
MOTIFRULES="/usr/X11R6/lib/X11/config/Motif.rules"
[ ! -f $MOTIFRULES ] || mv -f $MOTIFRULES $MOTIFRULES.orig
ln -sf $MOTIFRULES.openmotif $MOTIFRULES
# Set TopLevelProject to Motif in site.def.
SITEDEF="/usr/X11R6/lib/X11/config/site.def"
if ! grep "^\#define TopLevelProject Motif" $SITEDEF > /dev/null 2>&1; then
	[ -f $SITEDEF.orig ] || mv -f $SITEDEF $SITEDEF.orig
	sed -e '/^\#ifdef BeforeVendorCF$/a\
\
\#define TopLevelProject Motif\
' < $SITEDEF.orig > $SITEDEF
	chmod a+r $SITEDEF
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%postun devel
if [ "$1" = 0 ]; then
    # Restore original versions of Motif.tmpl, Motif.rules, and site.def
    MOTIFTMPL="/usr/X11R6/lib/X11/config/Motif.tmpl"
    rm -f $MOTIFTMPL
    [ ! -f $MOTIFTMPL.orig ] || mv -f $MOTIFTMPL.orig $MOTIFTMPL
    MOTIFRULES="/usr/X11R6/lib/X11/config/Motif.rules"
    rm -f $MOTIFRULES
    [ ! -f $MOTIFRULES.orig ] || mv -f $MOTIFRULES.orig $MOTIFRULES
    SITEDEF="/usr/X11R6/lib/X11/config/site.def"
    [ ! -f $SITEDEF.orig ] || mv -f $SITEDEF.orig $SITEDEF
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%dir /usr/X11R6/include/X11/bitmaps
/usr/X11R6/include/X11/bitmaps/xm_*
/usr/X11R6/lib/X11/bindings
/usr/X11R6/bin/mwm
/usr/X11R6/bin/xmbind
/usr/X11R6/lib/X11/system.mwmrc
/usr/X11R6/man/man1/mwm.1.gz
/usr/X11R6/man/man1/xmbind.1.gz
/usr/X11R6/man/man4/*.gz
/usr/share/xsessions

%files libs
%defattr(-, root, root)
/usr/X11R6/%{_lib}/*.so.*

%files devel
%defattr(-, root, root)
/usr/X11R6/bin/uil
/usr/X11R6/include/Mrm
/usr/X11R6/include/uil
/usr/X11R6/include/Xm
/usr/X11R6/%{_lib}/*.a
%attr(644, root, root) /usr/X11R6/%{_lib}/*.la
/usr/X11R6/%{_lib}/*.so
/usr/X11R6/lib/X11/config/Motif.rules.openmotif
/usr/X11R6/lib/X11/config/Motif.tmpl.openmotif
/usr/X11R6/man/man1/uil.1.gz
/usr/X11R6/man/man3/*.gz
/usr/X11R6/man/man5/*.gz

%files demo
%defattr(-, root, root)
/usr/X11R6/bin/DNDDemo
/usr/X11R6/bin/airport
/usr/X11R6/bin/autopopups
/usr/X11R6/bin/bboxdemo
/usr/X11R6/bin/colordemo
/usr/X11R6/bin/column
/usr/X11R6/bin/draw
/usr/X11R6/bin/dropdown
/usr/X11R6/bin/earth
/usr/X11R6/bin/filemanager
/usr/X11R6/bin/fileview
/usr/X11R6/bin/fontsel
/usr/X11R6/bin/getsubres
/usr/X11R6/bin/helloint
/usr/X11R6/bin/hellomotif
/usr/X11R6/bin/i18ninput
/usr/X11R6/bin/iconbuttondemo
/usr/X11R6/bin/multilist
/usr/X11R6/bin/outline
/usr/X11R6/bin/paned
/usr/X11R6/bin/panner
/usr/X11R6/bin/periodic
/usr/X11R6/bin/piano
/usr/X11R6/bin/sampler2_0
/usr/X11R6/bin/setDate
/usr/X11R6/bin/simpledrop
/usr/X11R6/bin/tabstack
/usr/X11R6/bin/todo
/usr/X11R6/bin/tooltips
/usr/X11R6/bin/tree
/usr/X11R6/bin/wsm
/usr/X11R6/bin/xmanimate
/usr/X11R6/lib/Xm
/usr/X11R6/lib/X11/uid
%doc /usr/X11R6/man/manm

%changelog -n openmotif
* Wed Apr 12 2006 - schwab@suse.de
- Fix missing initialisation.
* Fri Mar 31 2006 - schwab@suse.de
- Fix fencepost error.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 05 2005 - schwab@suse.de
- Fix last change.
* Fri Dec 02 2005 - schwab@suse.de
- Fix buffer overflows in uil [#136628].
* Tue Nov 29 2005 - schwab@suse.de
- Fix missing sentinel.
* Tue Nov 29 2005 - schwab@suse.de
- Remove useless buffer.
* Wed Nov 16 2005 - uli@suse.de
- build with -O1 on ARM (prevents miscompilation that topples
  test suite)
* Wed Oct 19 2005 - schwab@suse.de
- Update to openmotif 2.2.4.
* Sat Jul 09 2005 - schwab@suse.de
- Fix warning.
* Tue May 17 2005 - schwab@suse.de
- Completely rewrite XPM patch.
* Mon Feb 14 2005 - schwab@suse.de
- Fix more sentinel warnings.
* Thu Feb 10 2005 - adrian@suse.de
- install session desktop file
* Thu Jan 27 2005 - schwab@suse.de
- Fix sentinel warnings.
* Wed Sep 29 2004 - meissner@suse.de
- Fixed XPM security problem. #43240.
* Thu Sep 02 2004 - schwab@suse.de
- Fix XmResizeHashTable [#44499].
* Tue Aug 17 2004 - schwab@suse.de
- Fix dependencies.
* Tue Jun 01 2004 - schwab@suse.de
- Fix use of datadir [#41476].
* Thu Apr 22 2004 - schwab@suse.de
- Update to openMotif 2.2.3.
* Sat Apr 17 2004 - schwab@suse.de
- Pacify autobuild.
* Wed Feb 11 2004 - schwab@suse.de
- Fix some font problem [#32143].
* Sat Aug 16 2003 - adrian@suse.de
- let openmotif-devel require only openmotif-libs
* Wed Aug 13 2003 - schwab@suse.de
- Run ldconfig in %%post of libs [#28737].
* Wed Apr 30 2003 - adrian@suse.de
- split libs into sub package
* Tue Apr 08 2003 - schwab@suse.de
- Fix 64 bit bug in input method handling [#24075].
* Wed Dec 11 2002 - schwab@suse.de
- Fix makefiles for automake.
* Mon Nov 18 2002 - schwab@suse.de
- Fix duplicate file in AC_OUTPUT.
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Sun May 26 2002 - schwab@suse.de
- Fix invalid cast.
- Fix automake problem.
* Wed Apr 24 2002 - schwab@suse.de
- Move /usr/X11R6/lib64/X11 back to /usr/X11R6/lib/X11.
* Wed Apr 24 2002 - schwab@suse.de
- Fix for lib64.
* Thu Apr 18 2002 - schwab@suse.de
- Fix permission of site.def after modifying.
* Thu Apr 04 2002 - schwab@suse.de
- Remove dependency on libXmu to allow static linking.
* Thu Apr 04 2002 - schwab@suse.de
- Update to openMotif 2.2.2.
- New subpackage openmotif-demo.
* Fri Jan 04 2002 - adrian@suse.de
- fix build for mips
* Thu Nov 15 2001 - schwab@suse.de
- Integrate JDK bug fix.
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Thu Feb 22 2001 - schwab@suse.de
- Trigger on xdevel, not xf86.
* Fri Jan 19 2001 - bk@suse.de
- Add support for s390.
* Fri Nov 17 2000 - kukuk@suse.de
- Merge -binaries subpackage
* Wed Nov 08 2000 - ro@suse.de
- changed %%post devel to %%triggerin devel -- xf86
* Tue Oct 24 2000 - kukuk@suse.de
- Renamed from motif
- Split xmbind and mwm into extra "binary" package to avoid
  conflicts with lesstif
* Mon Sep 18 2000 - schwab@suse.de
- Add support for ia64.
* Fri Jul 28 2000 - kukuk@suse.de
- You cannot create an array with size NL_TEXTMAX == MAX_INT
- Add SPARC support to linux.cf
* Thu Jul 13 2000 - schwab@suse.de
- Package created.
